Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom.util
Class PolygonExtracter

    java.lang.Object
      com.vividsolutions.jts.geom.util.PolygonExtracter

All Implemented Interfaces:
  GeometryFilter

public class PolygonExtracter
extends java.lang.Object
implements GeometryFilter

Extracts all the `Polygon` elements from a `Geometry`.

Version:
  1.7
See Also:
  `GeometryExtracter`

Constructor Summary
`PolygonExtracter(java.util.List comps)` Constructs a PolygonExtracterFilter with a list in which to store Polygons found.

Method Summary
`void` | `filter(Geometry geom)` Performs an operation with or on `geom`.
`static java.util.List` | `getPolygons(Geometry geom)` Extracts the `Polygon` elements from a single `Geometry` and returns them in a `List`.
`static java.util.List` | `getPolygons(Geometry geom, java.util.List list)` Extracts the `Polygon` elements from a single `Geometry` and adds them to the provided `List`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolygonExtracter

    public PolygonExtracter(java.util.List comps)

  Constructs a PolygonExtracterFilter with a list in which to store Polygons found.

Method Detail

### getPolygons

    public static java.util.List getPolygons(Geometry geom,
                                             java.util.List list)

  Extracts the `Polygon` elements from a single `Geometry` and adds them to the provided `List`.

  Parameters:
    `geom` - the geometry from which to extract
    `list` - the list to add the extracted elements to

### getPolygons

    public static java.util.List getPolygons(Geometry geom)

  Extracts the `Polygon` elements from a single `Geometry` and returns them in a `List`.

  Parameters:
    `geom` - the geometry from which to extract

### filter

    public void filter(Geometry geom)

  Description copied from interface: `GeometryFilter`
  Performs an operation with or on `geom`.

  Specified by:
    `filter` in interface `GeometryFilter`
  Parameters:
    `geom` - a `Geometry` to which the filter is applied.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD